> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a recording transcription resource

> Returns the recording transcription resource identified by its ID.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/transcriptions.yml get /texml/Accounts/{account_sid}/Transcriptions/{recording_transcription_sid}.json
openapi: 3.1.0
info:
  title: Telnyx TeXML Calls API
  version: 2.0.0
  description: API for managing TeXML Transcriptions.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Transcriptions/{recording_transcription_sid}.json:
    get:
      tags:
        - TeXML REST Commands
      summary: Fetch a recording transcription resource
      description: Returns the recording transcription resource identified by its ID.
      operationId: GetTeXMLRecordingTranscription
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/RecordingTranscriptionSid'
      responses:
        '200':
          $ref: '#/components/responses/TexmlGetRecordingTranscriptionResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response =
              await client.texml.accounts.transcriptions.json.retrieveRecordingTranscriptionSidJson(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
                { account_sid: 'account_sid' },
              );

            console.log(response.account_sid);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.texml.accounts.transcriptions.json.retrieve_recording_transcription_sid_json(
                recording_transcription_sid="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
                account_sid="account_sid",
            )

            print(response.account_sid)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Transcriptions.Json.GetRecordingTranscriptionSidJson(\n\t\tcontext.TODO(),\n\t\t\"6a09cdc3-8948-47f0-aa62-74ac943d6c58\",\n\t\ttelnyx.TexmlAccountTranscriptionJsonGetRecordingTranscriptionSidJsonParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.AccountSid)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.transcriptions.json.JsonRetrieveRecordingTranscriptionSidJsonParams;

            import
            com.telnyx.sdk.models.texml.accounts.transcriptions.json.JsonRetrieveRecordingTranscriptionSidJsonResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    JsonRetrieveRecordingTranscriptionSidJsonParams params = JsonRetrieveRecordingTranscriptionSidJsonParams.builder()
                        .accountSid("account_sid")
                        .recordingTranscriptionSid("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
                        .build();
                    JsonRetrieveRecordingTranscriptionSidJsonResponse response = client.texml().accounts().transcriptions().json().retrieveRecordingTranscriptionSidJson(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.transcriptions.json.retrieve_recording_transcription_sid_json(
              "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
              account_sid: "account_sid"
            )


            puts(response)
        - lang: CLI
          source: >-
            telnyx texml:accounts:transcriptions:json
            retrieve-recording-transcription-sid-json \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --recording-transcription-sid 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    RecordingTranscriptionSid:
      description: Uniquely identifies the recording transcription by id.
      name: recording_transcription_sid
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    TexmlGetRecordingTranscriptionResponse:
      description: Successful get Recording Transcription Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TexmlRecordingTranscription'
            type: object
            title: Recording Transcription Response
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    TexmlRecordingTranscription:
      type: object
      title: Texml Get Call Recording Transcription Response Body
      properties:
        account_sid:
          $ref: '#/components/schemas/AccountSid'
        call_sid:
          $ref: '#/components/schemas/CallControlId'
        api_version:
          type: string
          description: The version of the API that was used to make the request.
          example: '2010-04-01'
        date_created:
          $ref: '#/components/schemas/DateTimeRFC2822'
        date_updated:
          $ref: '#/components/schemas/DateTimeRFC2822'
        duration:
          $ref: '#/components/schemas/TexmlRecordingDuration'
        sid:
          $ref: '#/components/schemas/TexmlSid'
        recording_sid:
          $ref: '#/components/schemas/TexmlSid'
        status:
          type: string
          description: >-
            The status of the recording transcriptions. The transcription text
            will be available only when the status is completed.
          enum:
            - in-progress
            - completed
          example: completed
        transcription_text:
          type: string
          description: The recording's transcribed text
          example: Good morning, how may I help you?
        uri:
          type: string
          description: The relative URI for the recording transcription resource.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Transcriptions/b08f0fa1-a32c-4218-b3b5-9cf78941ccac.json
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
    AccountSid:
      type: string
      example: 61bf923e-5e4d-4595-a110-56190ea18a1b
    CallControlId:
      type: string
      example: v3:KBnLO0ZK3DhKM5s7bE9VluaSmKsOchKht_fUYvxcp8ysbmzCCtpkmA
    DateTimeRFC2822:
      type: string
      format: date-time
      example: '2023-08-11T19:12:11Z'
    TexmlRecordingDuration:
      type:
        - string
        - 'null'
      description: The duration of this recording, given in seconds.
      example: '12'
    TexmlSid:
      type: string
      description: Identifier of a resource.
      example: e9cea0be-7dbd-4b98-98b1-c0089d9d43b0
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````